var
i,j,k,kn,a,b,sum:integer;
s,v:real;
begin
assign (input,'TRANSPORT.IN'); reset (input);
sum:=0;
readln(k);
for i:=1 to k do begin
 readln(kn,v,s);
 if kn>0 then begin
  for j:=1 to kn do begin
  read(a,b);
  sum:=sum+b; end;      end;
 writeln((sum+(s/v*60)):0:2);sum:=0;
end;
end.